<div class="mat-elevation-z4">
  <nav mat-tab-nav-bar mat-stretch-tabs>
    <a
      mat-tab-link
      [routerLink]="['dashboard']"
      routerLinkActive
      #dashboard="routerLinkActive"
      [active]="dashboard.isActive"
    >
      <mat-icon class="tab-icon">dashboard</mat-icon> Dashboard
    </a>
    <a
      mat-tab-link
      [routerLink]="['assessment']"
      routerLinkActive
      #assessments="routerLinkActive"
      [active]="assessments.isActive"
    >
      <mat-icon class="tab-icon">assignment</mat-icon> Assessments
    </a>
    <a
      mat-tab-link
      [routerLink]="['aggregated-dashboard']"
      routerLinkActive
      #aggregated="routerLinkActive"
      [active]="aggregated.isActive"
    >
      <mat-icon class="tab-icon">stacked_bar_chart</mat-icon> Aggregated Dashboard
    </a>
    <a
      mat-tab-link
      [routerLink]="['walkthrough']"
      routerLinkActive
      #walkthrough="routerLinkActive"
      [active]="walkthrough.isActive"
    >
      <mat-icon class="tab-icon">query_stats</mat-icon> Walkthrough
    </a>
      <a
        mat-tab-link
        [routerLink]="['command-timeline']"
        routerLinkActive
        #commandTimeline="routerLinkActive"
        [active]="commandTimeline.isActive"
      >
        <mat-icon class="tab-icon">insights</mat-icon> Command timeline
      </a>
      <a
        mat-tab-link
        [routerLink]="['command-analysis']"
        routerLinkActive
        #commandAnalysis="routerLinkActive"
        [active]="commandAnalysis.isActive"
      >
        <mat-icon class="tab-icon">analytics</mat-icon> Command analysis
      </a>
  </nav>
  <div>
    <router-outlet></router-outlet>
  </div>
</div>
